#include<bits/stdc++.h>
using namespace std;

long long nizx[10100];
long long nizy[10100];

long long formula_pertle(int i){
   long long a=nizx[i]*(nizy[i+1]-nizy[i+2]);
   long long b=nizx[i+2]*(nizy[i+2]-nizy[i]);
   long long c=nizx[i+2]*(nizy[i]-nizy[i+1]);
   return abs(a+b+c)/2;
}

long long formula2(int i){
   long long a=nizx[0]*(nizy[i]-nizy[i+1]);
   long long b=nizx[i+1]*(nizy[i]-nizy[0]);
   long long c=nizx[i+1]*(nizy[0]-nizy[i]);
   return abs(a+b+c)/2;
}

long long kroz_sve_trouglove(int n){
   long long maks=0;
   for(int i=0; i<n; i++){
      maks=max(maks, formula_pertle(i));
   }
   return maks;
}

long long ukupno(int n){
   long long zbir=0;
   for(int i=1; i<n; i++)
      zbir+=formula2(i);
   return zbir;
}

int main(){
   int n; cin>>n;
   for(int i=0; i<n; i++)
      cin>>nizx[i]>>nizy[i];
   nizx[n]=nizx[0]; nizy[n]=nizy[0];
   nizx[n+1]=nizx[1]; nizy[n+1]=nizy[1];
   cout<<ukupno(n)-kroz_sve_trouglove(n);
   return 0;
}